osapi.jive.corev3.contents.Favorite

A Favorite is an external URL saved as a bookmark in Jive. The favoriteObject field contains an ExternalURL type with its own JSON structure.

Example:
Example JSON

JSON with the most important data for a Favorite. See the table below for a list of all fields.

{
  "type" : "favorite",
  "status" : "published",
  "subject" : "Scientists find anti-Alzheimer's gene mutation - Yahoo! News",
  "content" : {
    "type" : "text/html",
    "text" : "Important news"
  },
  "author" : {
    "name" : {
      "formatted" : "Administrator"
    },
    "type" : "person",
    "displayName" : "Administrator",
    "id" : "1"
  },
  "favoriteObject" : {
    "type" : "url",
    "url" : "http://news.yahoo.com/scientists-anti-alzheimers-gene-mutation-151901443.html",
    "published" : "2012-07-12T19:13:26.977+0000",
    "updated" : "2012-07-12T19:13:52.230+0000"
  },
  "visibleToExternalContributors" : false,
  "private" : false,
  "followerCount" : 0,
  "published" : "2012-07-12T19:13:51.887+0000",
  "updated" : "2012-07-12T19:13:51.887+0000",
  "tags" : [ "health" ]
}

Properties

PropertyTypeMode †Description
authorPersonread-only↑

Author of this content object.

contentContentBodyrequired↑

Content of this content object.

favoriteObjectObjectrequired↑

The favorite object that was saved. When creating a favorite, the fields type and url are required.

followerCountIntegerread-only↑

Number of people following this object.

Availability:

Will be present only for object types that support being followed.

highlightBodyStringread-only↑

Highlight snippet of a search match in the body or description.

Availability:

Will be present in search results only.

highlightSubjectStringread-only↑

Highlight snippet of a search match in the subject or name.

Availability:

Will be present in search results only.

highlightTagsStringread-only↑

Highlight snippet of a search match in tags.

Availability:

Will be present in search results only.

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive and should not be confused with contentID or placeID used in URIs.

likeCountIntegerread-only↑

Number of people who have liked this object.

Availability:

Will be present only for object types that support being liked.

parentContentSummaryread-only↑

Summary information about the content object that is the parent of this object.

Availability:

Will be present in search results only.

parentPlaceSummaryread-only↑

Summary information about the place that contains this object.

Availability:

Will be present in search results only.

privateBooleanoptional↑

Flag indicating that this favorite is private, and thus not shared.

publishedISO 8601 Dateread-only↑

Date and time when this content object was originally created.

replyCountIntegerread-only↑

Number of replies to this object.

Availability:

Will be present only for object types that support replies.

resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

statusStringread-only↑

Published status of this content object.

  • incomplete - Content object is in draft mode
  • pending_approval - Content object is waiting for approval
  • rejected - Content object has been rejected for publication by an approver
  • published - Content object has been published
subjectStringrequired↑

Subject of this content object.

tagsString[]optional↑

Tags associated with this object.

Availability:

Will be present only for object types that support tags

typeStringrequired↑

The object type of this object ("favorite"). This field is required when creating new content.

updatedISO 8601 Dateread-only↑

Date and time this content object was most recently updated.

viewCountIntegerread-only↑

Number of times this content object has been viewed.

Availability:

Will be present only for objects that support view counts

visibleToExternalContributorsBooleanread-only↑

Flag indicating that this content object is potentially visible to external contributors.

†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
destroy()
DELETE /contents/1234

Retrieves

--

Description

Delete this content object and any related comments and other related information.

↑
get(options)
GET /contents/1234

Retrieves

Favorite

Description

Return an updated version of this content object.

Options:
NameTypeRequiredDescription
fieldsStringfalseThe names of the fields to be returned
Retrieves:
  • Content describing this content object
  • ↑
    toURI()

    Retrieves

    String

    Description

    Retrieves:
  • A URI representing this entity, or undefined if no such URI exists.
  • ↑
    update(multipartbody,options)
    PUT /contents/1234

    Retrieves

    Content

    Description

    Update the information about this content object.

    Options:
    NameTypeRequiredDescription
    fieldsStringfalseThe names of the fields to be returned
    Retrieves:
  • Content representing the updated content object
  • Resources

    ResourceMethodReturnsDescription
    htmlGETObject↑

    Return the HTML representation of this content object.